=== debian/changelog ===
ros-vision-opencv (1.11.11+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.11.11+ds
  * Update patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 05 Feb 2016 11:43:33 +0100

ros-vision-opencv (1.11.10+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.11.10+ds
  * Refresh patches
  * Add new librostest-dev build dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 19 Jan 2016 11:32:58 +0100

ros-vision-opencv (1.11.9+ds-3) unstable; urgency=medium

  * Fix package descriptions (Closes: #810956)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 15 Jan 2016 14:51:32 +0100

ros-vision-opencv (1.11.9+ds-2) unstable; urgency=medium

  * Include -dev package dependency fixes

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 01:25:31 +0000

ros-vision-opencv (1.11.9+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.11.9+ds (remove embedded Boost)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 04 Jan 2016 12:50:28 +0000

ros-vision-opencv (1.11.9-1) unstable; urgency=medium

  * Initial release (Closes: #804041)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 28 Dec 2015 23:32:38 +0000
