=== debian/control ===
Source: ros-vision-opencv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, libdynamic-reconfigure-config-init-mutex-dev, ros-message-generation, libimage-transport-dev, libnodeletlib-dev, libroscpp-dev, python-numpy, python-dynamic-reconfigure, libstd-srvs-dev, dh-python, python, librostest-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/vision_opencv
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-vision-opencv.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/vision-opencv.git;a=summary

Package: libcv-bridge-dev
Section: libdevel
Architecture: any
Depends: libcv-bridge0d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libsensor-msgs-dev
Description: cv_bridge Robot OS package - development
 This package is part of Robot OS (ROS). It contains development files for
 CvBridge, which converts between ROS Image messages and OpenCV images.

Package: libcv-bridge0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: cv_bridge Robot OS package
 This package is part of Robot OS (ROS). It contains the library for
 CvBridge, which converts between ROS Image messages and OpenCV images.

Package: python-cv-bridge
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: cv_bridge ROS package - Python bindings
 This package is part of Robot OS (ROS). It contains the python interface for
 CvBridge, which converts between ROS Image messages and OpenCV images.

Package: libimage-geometry-dev
Section: libdevel
Architecture: any
Depends: libimage-geometry0d (= ${binary:Version}), ${misc:Depends}, libopencv-dev, libsensor-msgs-dev
Description: image_geometry Robot OS package - development
 This package is part of Robot OS (ROS). image_geometry contains C++ and Python
 libraries for interpreting images geometrically. It interfaces the calibration
 parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.

Package: libimage-geometry0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: image_geometry Robot OS package - runtime
 This package is part of Robot OS (ROS). image_geometry contains C++ and Python
 libraries for interpreting images geometrically. It interfaces the calibration
 parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.

Package: python-image-geometry
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: image_geometry Robot OS package - Python bindings
 This package is part of Robot OS (ROS). image_geometry contains C++ and Python
 libraries for interpreting images geometrically. It interfaces the calibration
 parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.

Package: libopencv-apps-dev
Section: libdevel
Architecture: any
Depends: libopencv-apps0d (= ${binary:Version}), ${misc:Depends}, libcv-bridge-dev, libdynamic-reconfigure-config-init-mutex-dev, ros-message-generation, libimage-transport-dev, libnodeletlib-dev, libroscpp-dev
Description: opencv_apps Robot OS package - development files
 This package is part of Robot OS (ROS). It contains development
 headers for a library for the opencv_apps library.

Package: libopencv-apps0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: opencv_apps Robot OS package - runtime files
 This package is part of Robot OS (ROS). It contains the opencv_apps library.

Package: python-opencv-apps
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: opencv_apps Robot OS package - Python bindings
 This package is part of Robot OS (ROS). It contains the Python bindings for
 the opencv_apps library.

Package: cl-opencv-apps
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: opencv_apps Robot OS package - LISP bindings
 This package is part of Robot OS (ROS). It contains the LISP bindings for
 the opencv_apps library.
