=== image_geometry/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 catkin_python_setup()
 
-include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
+include_directories(${catkin_INCLUDE_DIRS}
                            ${OpenCV_INCLUDE_DIRS}
 )
 include_directories(include)
