=== vision_opencv/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vision_opencv)
find_package(catkin REQUIRED)
catkin_metapackage()
