=== cv_bridge/test/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,5 @@
 )
 
 catkin_add_nosetests(enumerants.py)
+catkin_add_nosetests(conversions.py)
+catkin_add_nosetests(python_bindings.py)
