=== debian/changelog ===
ros-vision-opencv (1.12.3+ds-2) unstable; urgency=medium

  * Port to debhelper 10
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Add missing dependencies (Closes: #896383, #896406)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 10:11:00 +0200

ros-vision-opencv (1.12.3+ds-1) unstable; urgency=medium

  * New upstream version 1.12.3+ds

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 06 Dec 2016 10:57:41 +0100

ros-vision-opencv (1.12.2+ds-3) unstable; urgency=medium

  * remove unneeded dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Nov 2016 11:33:24 +0100

ros-vision-opencv (1.12.2+ds-2) unstable; urgency=medium

  * Uploaded to unstable. Transition initiated.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 01 Nov 2016 23:00:30 +0100

ros-vision-opencv (1.12.2+ds-1) experimental; urgency=medium

  [ Leopold Palomo-Avellaneda ]
  * Imported Upstream version 1.12.2+ds
  * Dropped opencv-apps. Upstream move it to another package
  * Update changelog
  * Added hardening to rules
  * Updated copyright

  [ Jochen Sprickerhof ]
  * Update d/copyright
  * Bump Soname of libcv-bridge

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 27 Oct 2016 18:07:25 +0200

ros-vision-opencv (1.11.11+ds-4) unstable; urgency=medium

  * Add missing dependency
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address
  * Fix build dependencies (Closes: #835745)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 23:35:52 +0200

ros-vision-opencv (1.11.11+ds-3) unstable; urgency=medium

  * Updated Vcs-Browser and Vcs-Git fields
  * Deleted dropped software entry
  * Silencing some lintian warnings
  * Moved arch-depenent files from libopencv-apps0d. Closes: #815876
  * Dropped unused license
  * Bump Standards-Version to 3.9.7 (no changes)
  * Updated watch file with the mangle suffix

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 03 Mar 2016 16:43:06 +0100

ros-vision-opencv (1.11.11+ds-2) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 18:48:06 +0100
