=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,+bindnow 

%:
	dh $@ --with=python2 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_numpy
