=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vision_opencv-$1\.tar\.gz/ \
#  https://github.com/ros-perception/vision_opencv/releases .*/v?(\d\S*)\.tar\.gz

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vision_opencv-$1\.tar\.gz/,dversionmangle=s/\+ds\d?$//,repacksuffix=+ds\
 https://github.com/ros-perception/vision_opencv/releases .*/v?(\d\S*)\.tar\.gz
