=== opencv_tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(opencv_tests)

find_package(catkin REQUIRED)
catkin_package()
