=== debian/changelog ===
ros-vision-opencv (1.13.0+ds-2) unstable; urgency=medium

  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 18:11:43 +0100

ros-vision-opencv (1.13.0+ds-1) unstable; urgency=medium

  * Restrict d/watch to ROS1 (and general cleanup)
  * New upstream version 1.13.0+ds
  * Rebase patches
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 00:06:59 +0100
