=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, python-numpy, dh-python, python, librostest-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, python-numpy, dh-python, python, librostest-dev, python3-numpy, python3
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/vision_opencv
@@ -36,19 +36,29 @@
 Section: python
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-sensor-msgs
-Description: cv_bridge ROS package - Python bindings
+Description: cv_bridge ROS package - Python 2 bindings
  This package is part of Robot OS (ROS). It contains the Python interface for
  CvBridge, which converts between ROS Image messages and OpenCV images.
  .
- This package contains Python code.
+ This package contains Python 2 code.
+
+Package: python3-cv-bridge
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-sensor-msgs
+Description: cv_bridge ROS package - Python 3 bindings
+ This package is part of Robot OS (ROS). It contains the Python interface for
+ CvBridge, which converts between ROS Image messages and OpenCV images.
+ .
+ This package contains Python 3 code.
 
 Package: libimage-geometry-dev
 Section: libdevel
 Architecture: any
 Depends: libimage-geometry0d (= ${binary:Version}), ${misc:Depends}, libopencv-dev, libsensor-msgs-dev
 Description: image_geometry Robot OS package - development
- This package is part of Robot OS (ROS). It contains libraries for interpreting 
- images geometrically. It interfaces the calibration parameters in 
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
  sensor_msgs/CameraInfo messages with OpenCV functions such as
  image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
  OpenCV data types.
@@ -60,8 +70,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: image_geometry Robot OS package - runtime
- This package is part of Robot OS (ROS). It contains libraries for interpreting 
- images geometrically. It interfaces the calibration parameters in 
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
  sensor_msgs/CameraInfo messages with OpenCV functions such as
  image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
  OpenCV data types.
@@ -72,12 +82,24 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-opencv, python-sensor-msgs
-Description: image_geometry Robot OS package - Python bindings
- This package is part of Robot OS (ROS). It contains libraries for interpreting 
- images geometrically. It interfaces the calibration parameters in 
+Description: image_geometry Robot OS package - Python 2 bindings
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
  sensor_msgs/CameraInfo messages with OpenCV functions such as
  image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
  OpenCV data types.
  .
- This package contains the Python interface.
+ This package contains the Python 2 interface.
 
+Package: python3-image-geometry
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-opencv, python3-sensor-msgs
+Description: image_geometry Robot OS package - Python 3 bindings
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
+ sensor_msgs/CameraInfo messages with OpenCV functions such as
+ image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
+ OpenCV data types.
+ .
+ This package contains the Python 3 interface.
