=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,python3 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_numpy
